## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaIndexFieldsValidator

### DatabaseSchema::ezcDbSchemaIndexFieldsValidator

### Class ezcDbSchemaIndexFieldsValidator

ezcDbSchemaIndexFieldsValidator validates whether fields used in indexes exist.

Source for this file: /DatabaseSchema/src/validators/index_fields.php

Version: | //autogentag//
Todo: | implement from an interface

### Method Summary

public static array(string) | `validate( $schema )` Validates if all the fields used in all indexes exist.

### Methods

#### validate

static array(string) validate( ezcDbSchema $schema )

Validates if all the fields used in all indexes exist.

This method loops over all the fields in the indexes of each table and checks whether the fields that is used in an index is also defined in the table definition. It will return an array containing error strings for each non-supported type that it finds.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$schema` | ezcDbSchema |

Documentation generated by phpDocumentor 1.4.3